Page MenuHomePhabricator

Discuss where users should go for help (footer text)
Closed, ResolvedPublic

Description

New users need to be able to get in touch with someone should they get stuck or find a bug.

Currently, there is a link to Phabricator in the footer, but this is clearly not where we want to send new users.

Discuss where these users should go and how to integrate e.g. a link into the tool.

Event Timeline

Cirdan triaged this task as Medium priority.Jul 14 2018, 7:40 AM
Cirdan created this task.
Cirdan moved this task from Backlog to Discussion (Team Ideenförderung) on the Mitmachen board.
sonkiki added a comment.EditedAug 9 2018, 2:33 PM

I would not suggest that we offer support for the use of the tool.
This is out of scope of our resources. You are doing such great work that I am sure the tool will be mostly self-explanatory! :)

I would cater to two different scenarios:

  1. Users get stuck and need help with editing: This is covered in the tutorials column.
  2. Users find a bug and /or want to contribute to the development of the tool: I suggest we direct them to GitHub.

If possible, the font could even be a bit smaller, so that it looks less prominent.

To avoid confusion from people who might get lost on the various links they click, I suggest a text that's as clear as possible and even gives a bit of backstory on how this came about.

This is my suggestion:

Kleingedrucktes für Technik-Interessierte: Das Programm, das auf dieser Website läuft, wurde von einem Wikipedianer in der Freizeit entwickelt, mit Unterstützung durch Wikimedia Deutschland und Hosting von Wikimedia Toolforge. Diese Anwendung ist unter der freien Software-Lizenz Apache License 2.0 veröffentlicht. Source Code und die Dokumentation finden sich auf GitHub.

If you are not comfortable with the first sentence, @Cirdan, we can cut it. I like the story this tells, though. @Jan_Dittrich, what are your thoughts on the text?

sonkiki renamed this task from Discuss where users should go for help to Discuss where users should go for help (footer text).Aug 9 2018, 3:21 PM
sonkiki claimed this task.
Cirdan added a comment.Aug 9 2018, 5:09 PM

I would not suggest that we offer support for the use of the tool.
This is out of scope of our resources.

I agree.

  1. Users get stuck and need help with editing: This is covered in the tutorials column.

Where do you send users with questions on the contents of the tutorial? (Unfortunately, the Teestube never took off due to lack of community resources/interest, this would have been ideal.)

  1. Users find a bug and/or want to contribute to the development of the tool: I suggest we direct them to GitHub.

I don't think we should send newbies to GitHub: It's a third-party website and entirely focused on software development. The GitHub link is mostly there for other developers and to fulfil the Toolforge requirements.

I think there should be a single, somewhat prominent button where users can ask questions. Since I don't believe that there will be many bug reports by users (the idea that you can complain to someone that a website or software is not working is quite foreign to most) we can safely collect them at the same place editing questions are answered.

If possible, the font could even be a bit smaller, so that it looks less prominent.

Yes, that needs to be changed when updating the text.

To avoid confusion from people who might get lost on the various links they click, I suggest a text that's as clear as possible and even gives a bit of backstory on how this came about.

Kleingedrucktes für Technik-Interessierte: Das Programm, das auf dieser Website läuft, wurde von einem Wikipedianer in der Freizeit entwickelt, mit Unterstützung durch Wikimedia Deutschland und Hosting von Wikimedia Toolforge. Diese Anwendung ist unter der freien Software-Lizenz Apache License 2.0 veröffentlicht. Source Code und die Dokumentation finden sich auf GitHub.

If you are not comfortable with the first sentence, @Cirdan, we can cut it. I like the story this tells, though. @Jan_Dittrich, what are your thoughts on the text?

I like the idea. I suggest to connect this to the fact that Wikipedia and a lot of the software surrounding it is also a volunteer effort.

For both these points:

Where do you send users with questions on the contents of the tutorial? (Unfortunately, the Teestube never took off due to lack of community resources/interest, this would have been ideal.)

These links will either in the tutorials themselves, which we link in the right column.

I think there should be a single, somewhat prominent button where users can ask questions. Since I don't believe that there will be many bug reports by users (the idea that you can complain to someone that a website or software is not working is quite foreign to most) we can safely collect them at the same place editing questions are answered.

We can not implement a button where users can ask editing questions, simply because IF has no capacity to answer them. Even if few questions come in via the tool, they still have to be constantly monitored and directed to the right help sites, and in this project, there are no resources allocated to this.
Therefore, it's great that we can link to all sorts of tutorials, and potentially, help sites, in the right hand column.

I would also suggest not to have a button for bug reports, because people who want to contribute something always have the option to go via GitHub. Since you would be the one monitoring / backlogging these bug reports, do you even have the time/ resources for this?
If so, I would suggest adding something like:

Du hast einen Bug in dieser Anwendung gefunden? Schick einen Bug Report [link] an den Developer.
to the "Kleingedrucktes" (small print) Section. I would make the wording as clear as possible, so that this should not be confused with editing questions.

I like the idea. I suggest to connect this to the fact that Wikipedia and a lot of the software surrounding it is also a volunteer effort.

And last but not least I am very happy that you like the text I suggested for the small print! :)

@Cirdan

Regarding Bug reports:
We talked to Jan from our UX department, and he suggested to link to a Google Form for bug reports, and that he has a template for such a form which you could use. Would you like me to ask for this template, so you could use it?

I got the text for the template from @Jan_Dittrich. Thank you Jan!


Jan has this form currently on Phabricator:

Jedes Feld (User story, **Context of… ) ist eine Antwort typ "Absatz", die die Beschreibung käme der Beispieltext, der aktuell hinter dem Doppelpunkt steht.

User Story:: As a user, I want to _________ so I can _________

Context of use: I assume the user would to _______ because___

Current Problems: Currently, _________ this is not good, because ________

Possible Solution: One way to improve the situation for the user is…


Rephrased for Google Forms, Jan would suggest the following (less empty text to fill):

  • This is what I wanted to do: _____________________________ (Beschreibung/Beispiel: I wanted to find articles needing translation)
  • This is the context/reason why I wanted to do this: ____________________________ (Beschreibung/Beispiel: I had spare time and I speak several languages)
  • What was difficult for me: ______________________________ (Beschreibung/Beispiel: I got all sorts of problems, but no translation)
  • How it might be improved: _______________________________ (Beschreibung/Beispiel: If I could somehow define the task I want to do)

Let me know if this is something you want to use and/ or need help with.

Cirdan added a comment.Sep 5 2018, 6:09 PM

We can not implement a button where users can ask editing questions, simply because IF has no capacity to answer them. Even if few questions come in via the tool, they still have to be constantly monitored and directed to the right help sites, and in this project, there are no resources allocated to this.

I don't see why IF needs to be the ones answering the questions, but from my experience as a Wikipedia instructor for virtually all age groups and levels of experience I can say that new editors have lots of questions which cannot possibly answered in a single tutorial (except the tutorial looks like many of Wikipedia's help pages which explain every minute detail). That's not a Mitmachen issue, but I would suggest to reduce the number of times a banner is shown until it is feasible to have a way for users to interact with knowledgable humans.

Therefore, it's great that we can link to all sorts of tutorials, and potentially, help sites, in the right hand column.

I would also suggest not to have a button for bug reports, because people who want to contribute something always have the option to go via GitHub.

I agree that bug reports are not a huge issue here. People are not going to bother if the tool isn't working for them and producing bug reports which actually help us here is quite challenging.

sonkiki added a comment.EditedSep 24 2018, 3:32 PM

As we discussed during out last meeting:

  1. we will cover this tasks by implementing tutorials and help sites into the tool, see corresponding task “Select tutorials for the right hand column” on this workboard.
  1. we considered a template for bugreports as not necessary, as developer Cirdan expects people with that kind of advanced knowledge to know how to contact him (github link is provided in the footer)

Hence, I am taking the liberty to close this task as resolved! :)

sonkiki closed this task as Resolved.Sep 24 2018, 3:32 PM